Array.prototype.includes = require("lodash.includes");
var mjml = require("mjml");
var mjmlPackage = require("mjml-core/package.json");
var migrate = require("mjml-migrate");
module.exports = function(data, options) {
    try {
        data = migrate.default(data)
    } catch (error) {
        return JSON.stringify(
            {
                "html": "",
                "errors": [{
                    "message": String(error),
                    "formattedMessage": error.stack
                }],
                "mjml": data,
                "version": mjmlPackage.version
            }
        );
    }
    try {
        var renderResult = mjml(data, options);
        return JSON.stringify(
            {
                "html": renderResult.html,
                "errors": renderResult.errors,
                "mjml": data,
                "version": mjmlPackage.version
            }
        );
    } catch (error) {
        return JSON.stringify(
            {
                "html": "",
                "errors": [{
                    "message": String(error),
                    "formattedMessage": error.stack
                }],
                "mjml": data,
                "version": mjmlPackage.version
            }
        );
    };
};
