package models

import "encoding/base64"

// Bytes is the document content as a slice of bytes
func (t *Template) Bytes() ([]byte, error) {
	switch t.BodyFormat {
	case "":
		fallthrough
	case "base64":
		return base64.StdEncoding.DecodeString(t.Body)
	case "text":
		return []byte(t.Body), nil
	default:
		return []byte(t.Body), nil
	}
}

// String is the document content as a string
func (t *Template) String() (string, error) {
	switch t.BodyFormat {
	case "":
		fallthrough
	case "base64":
		b, err := base64.StdEncoding.DecodeString(t.Body)
		if err != nil {
			return "", err
		}
		return string(b), nil
	case "text":
		return t.Body, nil
	default:
		return t.Body, nil
	}
}
