// Code generated by go-swagger; DO NOT EDIT.

package rendering

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	"github.com/go-openapi/runtime/middleware"
	"github.com/go-openapi/strfmt"

	"orus.io/orus-io/rednerd/models"
)

// NewTemplateRenderParams creates a new TemplateRenderParams object
// no default values defined in spec.
func NewTemplateRenderParams() TemplateRenderParams {

	return TemplateRenderParams{}
}

// TemplateRenderParams contains all the bound params for the template render operation
// typically these are obtained from a http.Request
//
// swagger:parameters template-render
type TemplateRenderParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	Account string
	/*
	  Required: true
	  In: path
	*/
	ID string
	/*
	  In: body
	*/
	Request *models.RenderTemplateRequest
}

// BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface
// for simple values it will use straight method calls.
//
// To ensure default values, the struct must have been initialized with NewTemplateRenderParams() beforehand.
func (o *TemplateRenderParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error {
	var res []error

	o.HTTPRequest = r

	rAccount, rhkAccount, _ := route.Params.GetOK("account")
	if err := o.bindAccount(rAccount, rhkAccount, route.Formats); err != nil {
		res = append(res, err)
	}

	rID, rhkID, _ := route.Params.GetOK("id")
	if err := o.bindID(rID, rhkID, route.Formats); err != nil {
		res = append(res, err)
	}

	if runtime.HasBody(r) {
		defer r.Body.Close()
		var body models.RenderTemplateRequest
		if err := route.Consumer.Consume(r.Body, &body); err != nil {
			res = append(res, errors.NewParseError("request", "body", "", err))
		} else {
			// validate body object
			if err := body.Validate(route.Formats); err != nil {
				res = append(res, err)
			}

			if len(res) == 0 {
				o.Request = &body
			}
		}
	}
	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

// bindAccount binds and validates parameter Account from path.
func (o *TemplateRenderParams) bindAccount(rawData []string, hasKey bool, formats strfmt.Registry) error {
	var raw string
	if len(rawData) > 0 {
		raw = rawData[len(rawData)-1]
	}

	// Required: true
	// Parameter is provided by construction from the route

	o.Account = raw

	return nil
}

// bindID binds and validates parameter ID from path.
func (o *TemplateRenderParams) bindID(rawData []string, hasKey bool, formats strfmt.Registry) error {
	var raw string
	if len(rawData) > 0 {
		raw = rawData[len(rawData)-1]
	}

	// Required: true
	// Parameter is provided by construction from the route

	o.ID = raw

	return nil
}
