// Code generated by go-swagger; DO NOT EDIT.

package user_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"orus.io/orus-io/rednerd/models"
)

// UserPasswordDeleteNoContentCode is the HTTP code returned for type UserPasswordDeleteNoContent
const UserPasswordDeleteNoContentCode int = 204

/*UserPasswordDeleteNoContent The password was successfully deleted

swagger:response userPasswordDeleteNoContent
*/
type UserPasswordDeleteNoContent struct {
}

// NewUserPasswordDeleteNoContent creates UserPasswordDeleteNoContent with default headers values
func NewUserPasswordDeleteNoContent() *UserPasswordDeleteNoContent {

	return &UserPasswordDeleteNoContent{}
}

// WriteResponse to the client
func (o *UserPasswordDeleteNoContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(204)
}

// UserPasswordDeleteUnauthorizedCode is the HTTP code returned for type UserPasswordDeleteUnauthorized
const UserPasswordDeleteUnauthorizedCode int = 401

/*UserPasswordDeleteUnauthorized Unauthorized

swagger:response userPasswordDeleteUnauthorized
*/
type UserPasswordDeleteUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserPasswordDeleteUnauthorized creates UserPasswordDeleteUnauthorized with default headers values
func NewUserPasswordDeleteUnauthorized() *UserPasswordDeleteUnauthorized {

	return &UserPasswordDeleteUnauthorized{}
}

// WithPayload adds the payload to the user password delete unauthorized response
func (o *UserPasswordDeleteUnauthorized) WithPayload(payload *models.Error) *UserPasswordDeleteUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user password delete unauthorized response
func (o *UserPasswordDeleteUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserPasswordDeleteUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// UserPasswordDeleteNotFoundCode is the HTTP code returned for type UserPasswordDeleteNotFound
const UserPasswordDeleteNotFoundCode int = 404

/*UserPasswordDeleteNotFound the user does not exist

swagger:response userPasswordDeleteNotFound
*/
type UserPasswordDeleteNotFound struct {
}

// NewUserPasswordDeleteNotFound creates UserPasswordDeleteNotFound with default headers values
func NewUserPasswordDeleteNotFound() *UserPasswordDeleteNotFound {

	return &UserPasswordDeleteNotFound{}
}

// WriteResponse to the client
func (o *UserPasswordDeleteNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(404)
}

/*UserPasswordDeleteDefault generic error response

swagger:response userPasswordDeleteDefault
*/
type UserPasswordDeleteDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserPasswordDeleteDefault creates UserPasswordDeleteDefault with default headers values
func NewUserPasswordDeleteDefault(code int) *UserPasswordDeleteDefault {
	if code <= 0 {
		code = 500
	}

	return &UserPasswordDeleteDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user password delete default response
func (o *UserPasswordDeleteDefault) WithStatusCode(code int) *UserPasswordDeleteDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user password delete default response
func (o *UserPasswordDeleteDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user password delete default response
func (o *UserPasswordDeleteDefault) WithPayload(payload *models.Error) *UserPasswordDeleteDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user password delete default response
func (o *UserPasswordDeleteDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserPasswordDeleteDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
